package com.glxp.udidl.admin.controller.udchs;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.glxp.udidl.admin.dto.udchs.BaseParam;
import com.glxp.udidl.admin.entity.chs.CodeRel;
import com.glxp.udidl.admin.entity.chs.YbDrug;
import com.glxp.udidl.admin.enums.ResultEnum;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.udchs.impl.CodeRelServiceImpl;
import com.glxp.udidl.admin.util.ResultVOUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 多码融合库
 */
@Api(tags = "多码融合库信息接口")
@RestController
@RequestMapping("/udchs/codeRel")
public class CodeRelController {

    @Autowired
    private CodeRelServiceImpl codeRelService;

    @ApiOperation(value = "获取指定信息", response = CodeRel.class)
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody CodeRel param) {
        if ( param == null ||
                (StrUtil.isBlank(param.getDiNameCode()) && StrUtil.isBlank(param.getDrugCode()))
        ){
            return ResultVOUtils.error(ResultEnum.DATA_ERROR,"参数错误");
        }
        List<CodeRel> list = codeRelService.list(new LambdaQueryWrapper<CodeRel>()
                .eq(CodeRel::getDiNameCode,param.getDiNameCode()).or().eq(CodeRel::getDrugCode,param.getDrugCode()));
        return ResultVOUtils.success(list);
    }


    @ApiOperation(value = "更新指定信息", response = CodeRel.class)
    @PostMapping("/update")
    public BaseResponse updateByCodeRel(@RequestBody CodeRel param) {
        if ( param == null ||
                (StrUtil.isBlank(param.getDiNameCode()) && StrUtil.isBlank(param.getDrugCode()))
        ){
            return ResultVOUtils.error(ResultEnum.DATA_ERROR,"参数错误");
        }
        boolean b = codeRelService.updateByCodeRel(param);
        if (!b){
            return ResultVOUtils.error(500,"更新失败");
        }
        return ResultVOUtils.success("更新成功");
    }



}
